Condividi tramite


Alerts - List

Elenca gli avvisi per l'ambito definito.

GET https://management.azure.com/{scope}/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Parametri dell'URI

Nome In Necessario Tipo Descrizione
scope
path True

string

Ambito associato alle operazioni di avvisi. Sono inclusi '/subscriptions/{subscriptionId}/' per l'ambito della sottoscrizione, '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}' per ambito resourceGroup, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}' per ambito account di fatturazione e '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/departments/{departmentId}' per ambito reparto, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/enrollmentAccounts/{ enrollmentAccountId}' per ambito EnrollmentAccount, '/providers/Microsoft.Management/managementGroups/{managementGroupId} per ambito gruppo di gestione, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}' per ambito billingProfile, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}/invoiceSections/{invoiceSectionId}' per l'ambito invoiceSection e '/providers/Microsoft. Fatturazione/billingAccounts/{billingAccountId}/customers/{customerId}' specifici per i partner.

api-version
query True

string

minLength: 1

Versione dell'API da usare per questa operazione.

Risposte

Nome Tipo Descrizione
200 OK

AlertsResult

Operazione di Azure completata correttamente.

Other Status Codes

ErrorResponse

Risposta di errore imprevista.

Sicurezza

azure_auth

Flusso OAuth2 di Azure Active Directory.

Tipo: oauth2
Flow: implicit
URL di autorizzazione: https://login.microsoftonline.com/common/oauth2/authorize

Ambiti

Nome Descrizione
user_impersonation rappresentare l'account utente

Esempio

BillingAccountAlerts
BillingProfileAlerts
DepartmentAlerts
EnrollmentAccountAlerts
InvoiceSectionAlerts
ResourceGroupAlerts
SubscriptionAlerts

BillingAccountAlerts

Esempio di richiesta

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

BillingProfileAlerts

Esempio di richiesta

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

DepartmentAlerts

Esempio di richiesta

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

EnrollmentAccountAlerts

Esempio di richiesta

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

InvoiceSectionAlerts

Esempio di richiesta

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

ResourceGroupAlerts

Esempio di richiesta

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

SubscriptionAlerts

Esempio di richiesta

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Risposta di esempio

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

Definizioni

Nome Descrizione
Alert

Un singolo avviso.

AlertCategory

Categoria avviso

AlertCriteria

Criteri che hanno attivato l'avviso

AlertOperator

operatore utilizzato per confrontare currentSpend con quantità

AlertPropertiesDefinition

definisce il tipo di avviso

AlertPropertiesDetails

Dettagli dell'avviso

AlertSource

Origine dell'avviso

AlertsResult

Risultato degli avvisi.

AlertStatus

stato avviso

AlertTimeGrainType

Tipo di cadenza cronologica

AlertType

tipo di avviso

createdByType

Tipo di identità che ha creato la risorsa.

ErrorDetails

Dettagli dell'errore.

ErrorResponse

La risposta di errore indica che il servizio non è in grado di elaborare la richiesta in ingresso. Il motivo viene fornito nel messaggio di errore. \n\nAlcune risposte agli errori: \n\n * 429 TooManyRequests - La richiesta è limitata. Riprovare dopo aver aspettato il tempo specificato nell'intestazione "x-ms-ratelimit-microsoft.consumption-retry-after". \n\n * 503 ServiceUnavailable - Il servizio è temporaneamente non disponibile. Riprovare dopo aver aspettato il tempo specificato nell'intestazione "Retry-After".

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

Alert

Un singolo avviso.

Nome Tipo Descrizione
eTag

string

eTag della risorsa. Per gestire lo scenario di aggiornamento simultaneo, questo campo verrà usato per determinare se l'utente sta aggiornando o meno la versione più recente.

id

string (arm-id)

ID risorsa completo per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Nome della risorsa

properties.closeTime

string

dateTime in cui è stato chiuso l'avviso

properties.costEntityId

string

budget correlato

properties.creationTime

string

dateTime in cui è stato creato l'avviso

properties.definition

AlertPropertiesDefinition

definisce il tipo di avviso

properties.description

string

Descrizione avviso

properties.details

AlertPropertiesDetails

Dettagli dell'avviso

properties.modificationTime

string

dateTime in cui l'avviso è stato modificato per l'ultima volta

properties.source

AlertSource

Origine dell'avviso

properties.status

AlertStatus

stato avviso

properties.statusModificationTime

string

dateTime in cui lo stato dell'avviso è stato modificato per l'ultima volta

properties.statusModificationUserName

string

Utente che ha modificato l'ultimo avviso

systemData

systemData

Metadati di Azure Resource Manager contenenti le informazioni createdBy e modifiedBy.

type

string

Tipo di risorsa. Ad esempio, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"

AlertCategory

Categoria avviso

Valore Descrizione
Cost
Usage
Billing
System

AlertCriteria

Criteri che hanno attivato l'avviso

Valore Descrizione
CostThresholdExceeded
UsageThresholdExceeded
CreditThresholdApproaching
CreditThresholdReached
QuotaThresholdApproaching
QuotaThresholdReached
MultiCurrency
ForecastCostThresholdExceeded
ForecastUsageThresholdExceeded
InvoiceDueDateApproaching
InvoiceDueDateReached
CrossCloudNewDataAvailable
CrossCloudCollectionError
GeneralThresholdError

AlertOperator

operatore utilizzato per confrontare currentSpend con quantità

Valore Descrizione
None
EqualTo
GreaterThan
GreaterThanOrEqualTo
LessThan
LessThanOrEqualTo

AlertPropertiesDefinition

definisce il tipo di avviso

Nome Tipo Descrizione
category

AlertCategory

Categoria avviso

criteria

AlertCriteria

Criteri che hanno attivato l'avviso

type

AlertType

tipo di avviso

AlertPropertiesDetails

Dettagli dell'avviso

Nome Tipo Descrizione
amount

number (decimal)

importo soglia budget

companyName

string

nome società

contactEmails

string[]

elenco di messaggi di posta elettronica da contattare

contactGroups

string[]

elenco di gruppi di azioni da trasmettere a

contactRoles

string[]

elenco dei ruoli di contatto

currentSpend

number (decimal)

spesa corrente

departmentName

string

nome reparto

enrollmentEndDate

string

datetime di iscrizioneEndDate

enrollmentNumber

string

numero di registrazione

enrollmentStartDate

string

dataora di iscrizioneStartDate

invoicingThreshold

number (decimal)

soglia di fatturazione

meterFilter

MeterFilter[]

matrice di contatori da filtrare in base

operator

AlertOperator

operatore utilizzato per confrontare currentSpend con quantità

overridingAlert

string

override dell'avviso

periodStartDate

string

datetime di periodStartDate

resourceFilter

ResourceFilter[]

matrice di risorse da filtrare in base

resourceGroupFilter

ResourceGroupFilter[]

matrice di resourceGroups da filtrare in base

tagFilter

tag da filtrare in base

threshold

number (decimal)

percentuale di soglia di notifica come decimale che ha attivato l'avviso

timeGrainType

AlertTimeGrainType

Tipo di cadenza cronologica

triggeredBy

string

notificationId che ha attivato questo avviso

unit

string

unità di valuta utilizzata

AlertSource

Origine dell'avviso

Valore Descrizione
Preset
User

AlertsResult

Risultato degli avvisi.

Nome Tipo Descrizione
nextLink

string

URL per ottenere il set successivo di risultati degli avvisi, se presenti.

value

Alert[]

Elenco di avvisi.

AlertStatus

stato avviso

Valore Descrizione
None
Active
Overridden
Resolved
Dismissed

AlertTimeGrainType

Tipo di cadenza cronologica

Valore Descrizione
None
Monthly
Quarterly
Annually
BillingMonth
BillingQuarter
BillingAnnual

AlertType

tipo di avviso

Valore Descrizione
Budget
Invoice
Credit
Quota
General
xCloud
BudgetForecast

createdByType

Tipo di identità che ha creato la risorsa.

Valore Descrizione
User
Application
ManagedIdentity
Key

ErrorDetails

Dettagli dell'errore.

Nome Tipo Descrizione
code

string

Codice di errore.

message

string

Messaggio di errore che indica il motivo per cui l'operazione non è riuscita.

ErrorResponse

La risposta di errore indica che il servizio non è in grado di elaborare la richiesta in ingresso. Il motivo viene fornito nel messaggio di errore. \n\nAlcune risposte agli errori: \n\n * 429 TooManyRequests - La richiesta è limitata. Riprovare dopo aver aspettato il tempo specificato nell'intestazione "x-ms-ratelimit-microsoft.consumption-retry-after". \n\n * 503 ServiceUnavailable - Il servizio è temporaneamente non disponibile. Riprovare dopo aver aspettato il tempo specificato nell'intestazione "Retry-After".

Nome Tipo Descrizione
error

ErrorDetails

Dettagli dell'errore.

systemData

Metadati relativi alla creazione e all'ultima modifica della risorsa.

Nome Tipo Descrizione
createdAt

string (date-time)

Timestamp della creazione della risorsa (UTC).

createdBy

string

Identità che ha creato la risorsa.

createdByType

createdByType

Tipo di identità che ha creato la risorsa.

lastModifiedAt

string (date-time)

Il timestamp dell'ultima modifica della risorsa (UTC)

lastModifiedBy

string

Identità che ha modificato l'ultima volta la risorsa.

lastModifiedByType

createdByType

Tipo di identità che ha modificato l'ultima volta la risorsa.